using System.ComponentModel;

namespace QYZH.InteractiveMagazine.Models.Enum;

/// <summary>
/// 勋章类型枚举
/// </summary>
public enum MedalTypeEnum
{
    /// <summary>
    /// 系统勋章
    /// </summary>
    [Description("系统勋章")]
    System = 0,
    /// <summary>
    /// 宠物勋章
    /// </summary>
    [Description("宠物勋章")]
    Pet = 1,
    /// <summary>
    /// 社区勋章
    /// </summary>
    [Description("社区勋章")]
    Community = 2,
    /// <summary>
    /// 期刊勋章
    /// </summary>
    [Description("期刊勋章")]
    Journal = 3

}
